#'Rubella data
#'
#'A dataset on the prevalence of rubella in 230 Austrian males
#'older than three months for whom the exact date of birth was known.
#'Each individual was tested at the Institute of Virology, Vienna
#'during the period 1–25 March 1988 for immunization against Rubella.
#'
#'@format A data frame with 225 rows and  three variables:
#'\describe{
#'     \item{t}{ Age of the individual at the time of testing for immunization}
#'     \item{freq1}{ Number of individuals of age t that are immune for Rubella}
#'     \item{freq2}{ Total number of individuals of age t}
#'}
#'@references Keiding, N., Begtrup, K., Scheike, T., and Hasibeder, G. (1996). Estimation from current status data in continuous time. Lifetime Data Anal., 2:119-129.
"rubella"


#'Hepatitis A data
#'
#'A dataset on the prevalence of hepatitis A in individuals from Bulgaria
#'with age ranging from 1 to 86 years.
#'The data consists of a cross-sectional survey conducted in 1964.
#'
#'
#'@format A data frame with 83 rows and  three variables:
#'\describe{
#'     \item{t}{ Age of the individual}
#'     \item{freq1}{ Number of individuals of age t that are seropositive for Hepatitis A}
#'     \item{freq2}{ Total number of individuals of age t}
#'}
#'@references Keiding, N. (1991). Age-specic incidence and prevalence: a statistical perspective. J. Roy. Statist. Soc. Ser. A,154(3):371-412.
"hepatitisA"
